| DocBook: The Definitive Guide 2.0.17 (Alpha)

# abstract

$Revision$

$Date$

abstract — A summary

## Synopsis

### Content Model

    abstract ::=
    (title?,
     (formalpara|para|simpara)+)

### Attributes

Common attributes

## Description

An abstract can occur in most components of DocBook. It is expected to contain some sort of summary of the content with which it is associated (by containment).

### Processing expectations

Formatted as a displayed block. Sometimes suppressed. Often presented in alternate outputs.

### Parents

These elements contain abstract: `appendix`, `appendixinfo`, `article`, `articleinfo`, `bibliodiv`, `biblioentry`, `bibliography`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `blockquote`, `bookinfo`, `callout`, `chapter`, `chapterinfo`, `glossary`, `glossaryinfo`, `glossdiv`, `index`, `indexinfo`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `objectinfo`, `orderedlist`, `partinfo`, `partintro`, `preface`, `prefaceinfo`, `procedure`, `refentryinfo`, `referenceinfo`, `refsect1`, `refsect1info`, `refsect2`, `refsect2info`, `refsect3`, `refsect3info`, `refsection`, `refsectioninfo`, `refsynopsisdiv`, `refsynopsisdivinfo`, `sect1`, `sect1info`, `sect2`, `sect2info`, `sect3`, `sect3info`, `sect4`, `sect4info`, `sect5`, `sect5info`, `section`, `sectioninfo`, `setindex`, `setindexinfo`, `setinfo`, `sidebarinfo`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `variablelist`.

### Children

The following elements occur in abstract: `formalpara`, `para`, `simpara`, `title`.

## See Also

`blockquote`, `epigraph`, `highlights`, `sidebar`.

## Examples

    <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <chapter><title>Some Chapter</title>
    <abstract>
    <para>
    In brief, &hellip;
    </para>
    </abstract>
    <para>
    In this chapter, &hellip;
    </para>
    </chapter>

For additional examples, see also `section`.

abbrev |  | accel

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.